Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_VersionSeries

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_VersionSeries

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieVersionSeries

    public class S_VersionSeries

extends S_TiePublicObject

Server side representation of the VERSIONSERIES class.

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Published)

Field Summary
`static int` | `VERSIONING_LOCKING_POLICY_ENUM_INVALID_VALUE`
`static int` | `VERSIONING_LOCKING_POLICY_ENUM_LOCK_ALL`
`static int` | `VERSIONING_LOCKING_POLICY_ENUM_LOCK_NONE`

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_VersionSeries(S_LibrarySession session, java.lang.Long classId)` Construct object using session and class id.
`protected` | `S_VersionSeries(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_VersionSeries object using the current session and S_LibraryObjectData.

Method Summary
`protected void` | `cascadeDelete(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before deleting an object.
`protected void` | `cascadeFree(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before freeing an object.
`protected void` | `cascadeUndelete(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before undeleting an object.
`protected void` | `checkDefaultVersionDescription(S_LibraryObjectDefinition def)` Makes sure the default version description being set is in this series.
`protected static S_VersionSeries[]` | `constructVersionSeriesArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a S_VersionSeries array from an array of object IDs.
`S_LibraryObject` | `copy(OperationState opState, S_LibraryObjectDefinition def)` Gets a copy of the resolved public object.
`protected static S_LibraryObjectDefinition` | `createDefaultDefinition(S_LibrarySession sess)` Creates a default server side definition for version series class.
`protected void` | `createFamily(OperationState opState, S_LibraryObjectDefinition vsdef)` Creates a family for this version series.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add or modify the S_LibraryObjectDefinition for this class.
`protected S_PublicObject` | `determineResolvedObject()` Gets the resolved object of the series.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update appropriate system attributes after updating this version series.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Setup appropriate system attributes prior to creating this series.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Setup appropriate system attributes prior to updating this series.
`protected S_VersionDescription` | `getDefaultVersionDescription()` Gets the default VERSIONDESCRIPTION for this series.
`protected S_Family` | `getFamily()` Gets the server side representation of the FAMILY for this version series.
`protected S_VersionDescription` | `getLatestVersionDescription()` Gets the latest version description in this series.
`protected S_PublicObject` | `getPendingPublicObject()` Gets the pending public object for this series.
`java.lang.Long[]` | `getVersionDescriptionIds()` Get the IDs of all VersionDescriptions contained by this instance.
`S_VersionDescription[]` | `getVersionDescriptions()` Gets server side representation of all version descriptions in this series.
`protected void` | `handleCascade(OperationState opState, S_LibraryObject source, int cascadeType, S_LibraryObjectDefinition sdef, java.lang.Object customArg)` Handles a cascaded operation initiated by * (usually) another object.
`protected void` | `handleVersioningLockPolicy(java.lang.String operationType, S_LibraryObjectDefinition vsdef)` handleVersioningLockPolicy - handle any Policy actions associated with what objects get locked during any versioning operations of a PublicObject.
`protected void` | `invokeDefaultMethodForPolicyOperation(java.lang.String opType, S_LibraryObjectDefinition vsdef)`
`protected boolean` | `isOwnerBeingChanged(S_LibraryObjectDefinition vsdef)` Returns true if special processing option is set to change ownership of series based on that of the VD and PO.
`void` | `lockAllOnNewVersion(S_LibraryObjectDefinition svsdef)` Out of the box policy for what objects get locked during a checkin We currently unlock the PO, VersionSeries and Family.
`void` | `lockAllOnReserveNext(S_LibraryObjectDefinition svsdef)` Out of the box policy for what objects get locked during a checkout We currently USERLOCK the Family, VersionSeries, ResolvedPublicObject and VersionDescriptionDefinition All of the above versioning operations share the same lockobject we also free any unreferenced lockobjects that may be held by this VersionSeries
`void` | `lockNoneOnNewVersion(S_LibraryObjectDefinition vsDef)` Out of the box 2nd policy for locking on Checkin that does not lock any versioning objects Custom applications can switch to this policy by associating this with the version description class
`void` | `lockNoneOnReserveNext(S_LibraryObjectDefinition vsdef)` A 2nd policy for what objects get locked during a checkout this policy will not lock any of the objects
`S_VersionDescription` | `newRevision(S_LibraryObjectDefinition vddef)` Add a new version in the series.
`void` | `reserveNext(java.lang.String contentPath, java.lang.String comment)` Reserves the right to create a new version in the series.
`protected void` | `resetLockState(S_LibraryObject vd)` Reset the lockstate on the new Last version description and resolved PO according to the policy for that operation
`protected void` | `resolveFamily(OperationState opState, S_LibraryObjectDefinition vsdef)` Checks to see if version series has family.
`protected S_LibraryObjectDefinition` | `resolveFamilyDefinition(S_LibraryObjectDefinition vsdef)` Returns a Family definition from the system option or newly created family definition for this version series.
`protected void` | `resolveFamilyOwnership(S_LibraryObjectDefinition vsdef, S_LibraryObjectDefinition famdef)` Sets up owner attribute for the family based on the special option.
`protected void` | `resolveNewRevisionDefinition(S_LibraryObjectDefinition vddef)` Sets up attributes required for a new version.
`protected void` | `setDefaultVersionDescription(S_VersionDescription version)` Sets the default VERSIONDESCRIPTION for the series.
`protected void` | `setLatestVersionDescription(S_VersionDescription version)` Sets the latest VERSIONDESCRIPTION for the series.
`protected void` | `setReserveNextAttrs(S_LibraryObjectDefinition def)` Sets up attribute values used for reservation of this series.
`protected void` | `setUnReserveAttrs(S_LibraryObjectDefinition def)` Sets up attribute values used for cancelling reservation of this series.
`void` | `unlockAllOnUnreserve(S_LibraryObjectDefinition svsdef)` Out of the box policy for what objects get unlocked during a Cancel checkout We currently USERLOCK the Family, VersionSeries, ResolvedPublicObject and VersionDescriptionDefinition during a checkout all these have to be unlocked we also free any unreferenced lockobjects that may be held by this VersionSeries
`void` | `unlockAllOnVDDelete(S_LibraryObjectDefinition vsdef)` Out of the box policy for what objects get unlocked during a the delete of the last or default version description of a series
`void` | `unlockNoneOnUnreserve(S_LibraryObjectDefinition vsdef)` Another policy for what gets unlocked during a cancel checkout this one does not unlock any of the versioning objects
`void` | `unReserve()` Removes the reservation on this version series.
`protected static S_VersionSeries[]` | `vectorToSVersionSeriesArray(S_LibrarySession sess, java.util.Vector vector)` Converts vector of data for version series to an array of S_VersionSeries.
`protected void` | `verifyCanAddVersion()` Verifies if this series can be reserved by current user.
`protected void` | `verifyCanRemoveVersion()` Verifies if Versions can be deleted from this series by current user.
`protected void` | `verifyCanSetDefaultVersionAttributes()` Verifies that default versionDescriptions can be set on this series by the current user.
`protected void` | `verifyNotReserved()` Checks to make sure this series is not reserved.
`protected void` | `verifyReservedByMe()` Makes sure this series is reserved by the current user
`protected void` | `verifyVersionDescriptionCanBeDeleted(S_LibraryObject vd, OperationState opState)` Verifies that a specified VersionDescrption can be deleted from this Series.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostInsert, extendedPostUndelete, extendedPreCopy, extendedPreDelete, extendedPreFree, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### VERSIONING_LOCKING_POLICY_ENUM_INVALID_VALUE

    public static final int VERSIONING_LOCKING_POLICY_ENUM_INVALID_VALUE

See Also:
  Constant Field Values
(Unpublished)

### VERSIONING_LOCKING_POLICY_ENUM_LOCK_ALL

    public static final int VERSIONING_LOCKING_POLICY_ENUM_LOCK_ALL

See Also:
  Constant Field Values
(Unpublished)

### VERSIONING_LOCKING_POLICY_ENUM_LOCK_NONE

    public static final int VERSIONING_LOCKING_POLICY_ENUM_LOCK_NONE

See Also:
  Constant Field Values
(Unpublished)

Constructor Detail

### S_VersionSeries

    protected S_VersionSeries(S_LibrarySession session,
                              S_LibraryObjectData data)
                       throws IfsException

  Construct a S_VersionSeries object using the current session and S_LibraryObjectData.

  Parameters:
    `session` - server side session representation
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_VersionSeries

    protected S_VersionSeries(S_LibrarySession session,
                              java.lang.Long classId)
                       throws IfsException

  Construct object using session and class id.

  This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - Id of the class being created
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_VersionSeries`
  Add or modify the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### copy

    public S_LibraryObject copy(OperationState opState,
                                S_LibraryObjectDefinition def)
                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets a copy of the resolved public object.

  Overrides:
    `copy` in class `S_LibraryObject`
  Parameters:
    `opState` - the OperationState
    `def` - any modifications to make to the copied object
  Returns:
    the copied object.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### handleCascade

    protected void handleCascade(OperationState opState,
                                 S_LibraryObject source,
                                 int cascadeType,
                                 S_LibraryObjectDefinition sdef,
                                 java.lang.Object customArg)
                          throws IfsException

  Description copied from class: `S_VersionSeries`
  Handles a cascaded operation initiated by * (usually) another object.

  This is overridden by classes to add custom handlers. It is ok if no class handles the cascade (that is implied to mean "no action needed").

  Overrides:
    `handleCascade` in class `S_PublicObject`
  Parameters:
    `opState` - originating operation state
    `source` - object initiating this cascade request (not necessarily the original object)
    `cascadeType` - type of cascade request
    `sdef` - original Definition object
    `customArg` - any custom parameter.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeFree

    protected void cascadeFree(OperationState opState,
                               S_LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `S_VersionSeries`
  Implements cascade operations to be performed before freeing an object.

  This is overridden by classes that need to perform operations before successfully freeing the rows for the freed instance.

  Overrides:
    `cascadeFree` in class `S_PublicObject`
  Parameters:
    `opState` - the Operation state
    `def` - server side representation of the definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeDelete

    protected void cascadeDelete(OperationState opState,
                                 S_LibraryObjectDefinition def)
                          throws IfsException

  Description copied from class: `S_VersionSeries`
  Implements cascade operations to be performed before deleting an object.

  This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `cascadeDelete` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `def` - server side representation of definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeUndelete

    protected void cascadeUndelete(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_VersionSeries`
  Implements cascade operations to be performed before undeleting an object.

  This is overridden by classes that need to perform operations before successfully undeleting the rows for the freed instance.

  Overrides:
    `cascadeUndelete` in class `S_PublicObject`
  Parameters:
    `opState` - state of the operation
    `def` - Server side definition of the operation
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Setup appropriate system attributes prior to creating this series.

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Setup appropriate system attributes prior to updating this series.

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_VersionSeries`
  Update appropriate system attributes after updating this version series.

  Overrides:
    `extendedPostUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### checkDefaultVersionDescription

    protected void checkDefaultVersionDescription(S_LibraryObjectDefinition def)
                                           throws IfsException

  Description copied from class: `S_VersionSeries`
  Makes sure the default version description being set is in this series.

  Parameters:
    `def` - server side definition that has the default version description attribute value.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### determineResolvedObject

    protected S_PublicObject determineResolvedObject()
                                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets the resolved object of the series.

  Overrides:
    `determineResolvedObject` in class `S_PublicObject`
  Returns:
    the resolved object of this class
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### resolveFamily

    protected void resolveFamily(OperationState opState,
                                 S_LibraryObjectDefinition vsdef)
                          throws IfsException

  Description copied from class: `S_VersionSeries`
  Checks to see if version series has family. If not, creates a family.

  Parameters:
    `opState` - current operation state
    `vsdef` - server side version series definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createFamily

    protected void createFamily(OperationState opState,
                                S_LibraryObjectDefinition vsdef)
                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Creates a family for this version series.

  Parameters:
    `opState` - current operation state
    `vsdef` - server side version series definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isOwnerBeingChanged

    protected boolean isOwnerBeingChanged(S_LibraryObjectDefinition vsdef)
                                   throws IfsException

  Description copied from class: `S_VersionSeries`
  Returns true if special processing option is set to change ownership of series based on that of the VD and PO.

  Parameters:
    `vsdef` - version series definition
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### resolveFamilyOwnership

    protected void resolveFamilyOwnership(S_LibraryObjectDefinition vsdef,
                                          S_LibraryObjectDefinition famdef)
                                   throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets up owner attribute for the family based on the special option.

  Parameters:
    `vsdef` - version series definition
    `famdef` - family definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### resolveFamilyDefinition

    protected S_LibraryObjectDefinition resolveFamilyDefinition(S_LibraryObjectDefinition vsdef)
                                                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Returns a Family definition from the system option or newly created family definition for this version series.

  Parameters:
    `vsdef` - server side version series definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### newRevision

    public S_VersionDescription newRevision(S_LibraryObjectDefinition vddef)
                                     throws IfsException

  Description copied from class: `S_VersionSeries`
  Add a new version in the series.

  Adding new version will work only if the user requesting this operation holds a reservation on the version series. Unlocks the FAMILY and VERSIONSERIES. Soft locks the most recent VERSIONDESCRIPTION and PUBLICOBJECT corresponding to it. Changes the default version if needed.

  Parameters:
    `vddef` - New public object definition to be created as the new version
  Throws:
    `IfsException` - if operation fails
  (Published)

### resolveNewRevisionDefinition

    protected void resolveNewRevisionDefinition(S_LibraryObjectDefinition vddef)
                                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets up attributes required for a new version.

  Parameters:
    `vddef` - server side version description definition for new version
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### lockAllOnNewVersion

    public void lockAllOnNewVersion(S_LibraryObjectDefinition svsdef)
                             throws IfsException

  Description copied from class: `S_VersionSeries`
  Out of the box policy for what objects get locked during a checkin We currently unlock the PO, VersionSeries and Family. We also softlock the last VD and last resolvedPublicObject we also free any unreferenced lockobjects that may be held by this VersionSeries

  Parameters:
    `svsdef` - the VersionSeriesDefinition for the Checkout operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### lockNoneOnNewVersion

    public void lockNoneOnNewVersion(S_LibraryObjectDefinition vsDef)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Out of the box 2nd policy for locking on Checkin that does not lock any versioning objects Custom applications can switch to this policy by associating this with the version description class

  Parameters:
    `vsDef` - the VersionSeriesDefinition for the Checkout operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### reserveNext

    public void reserveNext(java.lang.String contentPath,
                            java.lang.String comment)
                     throws IfsException

  Description copied from class: `S_VersionSeries`
  Reserves the right to create a new version in the series.

  Parameters:
    `contentPath` - for reference purposes only
    `comment` - reservation comment
  Throws:
    `IfsException` - if operation fails
  (Published)

### lockAllOnReserveNext

    public void lockAllOnReserveNext(S_LibraryObjectDefinition svsdef)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Out of the box policy for what objects get locked during a checkout We currently USERLOCK the Family, VersionSeries, ResolvedPublicObject and VersionDescriptionDefinition All of the above versioning operations share the same lockobject we also free any unreferenced lockobjects that may be held by this VersionSeries

  Parameters:
    `svsdef` - the VersionSeriesDefinition for the Checkout operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### lockNoneOnReserveNext

    public void lockNoneOnReserveNext(S_LibraryObjectDefinition vsdef)
                               throws IfsException

  Description copied from class: `S_VersionSeries`
  A 2nd policy for what objects get locked during a checkout this policy will not lock any of the objects

  Parameters:
    `vsdef` - the VersionSeriesDefinition for the Checkout operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### unReserve

    public void unReserve()
                   throws IfsException

  Description copied from class: `S_VersionSeries`
  Removes the reservation on this version series.

  Throws:
    `IfsException` - if operation fails
  (Published)

### unlockAllOnUnreserve

    public void unlockAllOnUnreserve(S_LibraryObjectDefinition svsdef)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Out of the box policy for what objects get unlocked during a Cancel checkout We currently USERLOCK the Family, VersionSeries, ResolvedPublicObject and VersionDescriptionDefinition during a checkout all these have to be unlocked we also free any unreferenced lockobjects that may be held by this VersionSeries

  Parameters:
    `svsdef` - the VersionSeriesDefinition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### unlockNoneOnUnreserve

    public void unlockNoneOnUnreserve(S_LibraryObjectDefinition vsdef)
                               throws IfsException

  Description copied from class: `S_VersionSeries`
  Another policy for what gets unlocked during a cancel checkout this one does not unlock any of the versioning objects

  Parameters:
    `vsdef` - the VersionSeriesDefinition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### unlockAllOnVDDelete

    public void unlockAllOnVDDelete(S_LibraryObjectDefinition vsdef)
                             throws IfsException

  Description copied from class: `S_VersionSeries`
  Out of the box policy for what objects get unlocked during a the delete of the last or default version description of a series

  Parameters:
    `vsdef` - the VersionSeriesDefinition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### handleVersioningLockPolicy

    protected void handleVersioningLockPolicy(java.lang.String operationType,
                                              S_LibraryObjectDefinition vsdef)
                                       throws IfsException

  Description copied from class: `S_VersionSeries`
  handleVersioningLockPolicy - handle any Policy actions associated with what objects get locked during any versioning operations of a PublicObject. The policy defines the rules for what object are locked during a checkout/checkin or cancel checkout

  Parameters:
    `operationType` - the operation type for the policy
    `vsdef` - the VersionSeriesDefinition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### invokeDefaultMethodForPolicyOperation

    protected void invokeDefaultMethodForPolicyOperation(java.lang.String opType,
                                                         S_LibraryObjectDefinition vsdef)
                                                  throws IfsException

  Throws:
    `IfsException`

### setReserveNextAttrs

    protected void setReserveNextAttrs(S_LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets up attribute values used for reservation of this series.

  Parameters:
    `def` - server side version series definition
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setUnReserveAttrs

    protected void setUnReserveAttrs(S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets up attribute values used for cancelling reservation of this series.

  Parameters:
    `def` - server side version series definition
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setLatestVersionDescription

    protected void setLatestVersionDescription(S_VersionDescription version)
                                        throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets the latest VERSIONDESCRIPTION for the series.

  Parameters:
    `version` - server side representation for latest VERSIONDESCRIPTION
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setDefaultVersionDescription

    protected void setDefaultVersionDescription(S_VersionDescription version)
                                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Sets the default VERSIONDESCRIPTION for the series.

  Parameters:
    `version` - default version description for the series
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getDefaultVersionDescription

    protected S_VersionDescription getDefaultVersionDescription()
                                                         throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets the default VERSIONDESCRIPTION for this series.

  Returns:
    the default version description
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getPendingPublicObject

    protected S_PublicObject getPendingPublicObject()
                                             throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets the pending public object for this series.

  Pending public object will be used as the PUBLICOBJECT for the next call on `newVersion` method.

  Returns:
    the pending PublicObject, or null if none.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getLatestVersionDescription

    protected S_VersionDescription getLatestVersionDescription()
                                                        throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets the latest version description in this series.

  Returns:
    server side representation of the latest Version Description.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getFamily

    protected S_Family getFamily()
                          throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets the server side representation of the FAMILY for this version series.

  Overrides:
    `getFamily` in class `S_PublicObject`
  Returns:
    server side representation of FAMILY
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getVersionDescriptions

    public S_VersionDescription[] getVersionDescriptions()
                                                  throws IfsException

  Description copied from class: `S_VersionSeries`
  Gets server side representation of all version descriptions in this series.

  Overrides:
    `getVersionDescriptions` in class `S_PublicObject`
  Returns:
    array of S_VersionDescription
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getVersionDescriptionIds

    public java.lang.Long[] getVersionDescriptionIds()
                                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Get the IDs of all VersionDescriptions contained by this instance.

  Returns:
    the array of IDs of the VersionDescriptions
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyNotReserved

    protected void verifyNotReserved()
                              throws IfsException

  Description copied from class: `S_VersionSeries`
  Checks to make sure this series is not reserved.

  Throws:
    `IfsException` - if this series already reserved or operation failed.
  (Unpublished)

### verifyReservedByMe

    protected void verifyReservedByMe()
                               throws IfsException

  Description copied from class: `S_VersionSeries`
  Makes sure this series is reserved by the current user

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### verifyCanAddVersion

    protected void verifyCanAddVersion()
                                throws IfsException

  Description copied from class: `S_VersionSeries`
  Verifies if this series can be reserved by current user.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanRemoveVersion

    protected void verifyCanRemoveVersion()
                                   throws IfsException

  Description copied from class: `S_VersionSeries`
  Verifies if Versions can be deleted from this series by current user.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyVersionDescriptionCanBeDeleted

    protected void verifyVersionDescriptionCanBeDeleted(S_LibraryObject vd,
                                                        OperationState opState)
                                                 throws IfsException

  Description copied from class: `S_VersionSeries`
  Verifies that a specified VersionDescrption can be deleted from this Series.

  Parameters:
    `vd` - the specified VersionDescription
  Throws:
    `IfsException` - if the specified object cannot be deleted or freed.
  (Unpublished)

### resetLockState

    protected void resetLockState(S_LibraryObject vd)
                           throws IfsException

  Description copied from class: `S_VersionSeries`
  Reset the lockstate on the new Last version description and resolved PO according to the policy for that operation

  Parameters:
    `vd` - the specified VersionDescription
  Throws:
    `IfsException` - if the specified object cannot be deleted or freed.
  (Unpublished)

### verifyCanSetDefaultVersionAttributes

    protected void verifyCanSetDefaultVersionAttributes()
                                                 throws IfsException

  Description copied from class: `S_VersionSeries`
  Verifies that default versionDescriptions can be set on this series by the current user.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createDefaultDefinition

    protected static S_LibraryObjectDefinition createDefaultDefinition(S_LibrarySession sess)
                                                                throws IfsException

  Description copied from class: `S_VersionSeries`
  Creates a default server side definition for version series class.

  Parameters:
    `sess` - server sid erepresentation of current session
  Returns:
    server side definition for VERSIONSERIES
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToSVersionSeriesArray

    protected static S_VersionSeries[] vectorToSVersionSeriesArray(S_LibrarySession sess,
                                                                   java.util.Vector vector)
                                                            throws IfsException

  Description copied from class: `S_VersionSeries`
  Converts vector of data for version series to an array of S_VersionSeries.

  Parameters:
    `sess` - server side representation of current session
    `vector` - contains S_LibraryObjectData for version series objects
  Returns:
    array of S_VersionSeries objects
  Throws:
    `IfsException` - is the operation fails
  (Unpublished)

### constructVersionSeriesArray

    protected static S_VersionSeries[] constructVersionSeriesArray(S_LibrarySession sess,
                                                                   java.lang.Long[] ids)
                                                            throws IfsException

  Description copied from class: `S_VersionSeries`
  Construct a S_VersionSeries array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of S_VersionSeries
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD